Skip to main content
GET
/
api
/
pricing
/
records
/
product-summary
Get Product Summary
curl --request GET \
  --url https://api.merchantops.ai/api/pricing/records/product-summary
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

search
string | null

Search products via Atlas Search

brand
string | null

Filter by brand

brand_key
string | null

DEPRECATED: alias for brand

product_type
string | null

Filter by product type key

enrichment_status
string | null

Filter by enrichment status

created_by
string | null

Filter by creator (user ID)

batch_key
string | null

Filter to products in the given catalog batch.

created_after
string | null

Filter by creation date (ISO 8601)

created_before
string | null

Filter by creation date (ISO 8601)

updated_after
string | null

Filter by update date (ISO 8601)

updated_before
string | null

Filter by update date (ISO 8601)

property_filter
string[] | null

Repeatable: key:value (filters on products.properties)

sort_by
string | null

Sort field. One of: active_count, active_price_max, active_price_min, brand, draft_count, key, name, product_type, total_records, variant_count

sort_dir
string
default:asc
Pattern: ^(asc|desc)$
temporal_filter
string | null

Temporal filter: current_price, next_future_price, date_range

date_from
string | null

Start date for date_range filter (YYYY-MM-DD)

date_to
string | null

End date for date_range filter (YYYY-MM-DD)

skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 200

Cookies

stytch_session
string | null

Response

Successful Response